#include<iostream>
using namespace std;
int main ()
{
    long long l, m, n;
    cin>>l>>m>>n;
    l=l-m;
    long long uvelich=0, br=1;
    while (l>-1)
    {
        m=m+n;
        l=l-m;
        br++;
    }
    cout<<br<<endl;
    return 0;
}
